<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS ...." name="description" />
    <meta content="EndeavourOS, Qt, GTK" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="/img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />
    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>
        EndeavourOS - Jednotný motiv a písma pro aplikace Qt v prostředích GTK
    </title>
</head>

<body>
    <?php require "assets/header.php" ?>
    <main>
        <section class="welcome">
            <h1>Jednotný motiv a písma pro aplikace Qt v prostředích GTK</h1>
            <img alt="" class="qt" src="img/2021-05-18_21-14.webp" style="width: 50%;height: auto;" />
            <p>
                Existuje mnoho způsobů, jak dosáhnout jednotného vzhledu a fungování,
                a zde uvádíme dvě řešení.
            </p>
            <h2>Platforma QGnome</h2>
            <p>
                Nejjednodušší způsob, jak nastavit jednotný vzhled aplikací QT v
                prostředí GTK, je pomocí
                <a href="https://wiki.archlinux.org/title/Uniform_look_for_Qt_and_GTK_applications#QGnomePlatform"
                    target="_blank">QGnomePlatform</a>.
            </p>
            <p>
                <strong>Zdroje jsou označeny jako neudržované:</strong>
                <a href="https://github.com/FedoraQt/QGnomePlatform#qgnomeplatform-project-is-unmaintained-a-no-longer-actively-developed"
                    target="_blank">https://github.com/FedoraQt/QGnomePlatform#qgnomeplatform-project-is-unmaintained-a-no-longer-actively-developed</a>
                od srpna 2023.
            </p>
            <p>Ale stále jednoduše možné sestavit a nainstalovat z AUR:</p>
            <p>
                <code><strong
            >yay -Syu qgnomeplatform-qt5 qgnomeplatform-qt6</strong
            ></code>
            </p>
            <p>
                Toto přinese <code><strong>adwaita-qt5 adwaita-qt6</strong></code> ze
                nahradit jinými motivy, které podporují gtk i qt, tyto dva budou
                používat adwaita (výchozí téma gtk) a vytvářet aplikace qt podle
                tmavého a světlého motivu adwaita.
            </p>
            <p>
                Například <code><strong>breeze</strong></code> a
                <code><strong>breeze-gtk</strong></code> bude fungovat také.
            </p>
            <p>
                Přidejte proměnnou prostředí buď v celém systému na
                <code><strong>/etc/environment</strong></code> nebo specifické pro
                uživatele do a
                <code><strong>~/.config/environment.d/envvars.conf</strong></code>
                souboru nebo <code><strong>~/.profile</strong></code> v závislosti na
                použitém nastavení plochy nebo WM. Je třeba použít jeden nebo druhý.
            </p>
            <p>
                <strong>Proměnná</strong>:
                <code><strong>QT_QPA_PLATFORMTHEME=gnome </strong></code>
            </p>
            <p>
                <strong>Poznáka</strong>: Tato proměnná je standardně nastavena pro
                Gnome a pokud používáte Gnome, nemusíte nastavovat vatriable.
            </p>
            <p>
                Po restartu by aplikace qt měly používat adwaita stejně, jako je
                nastaveno pro gtk v nastavení.
            </p>
            <p>
                Pro nastavení fontu a některých dalších nastavení
                <code><strong>qt5ct</strong></code> a
                <code><strong>qt6ct</strong></code> bude se hodit:
            </p>
            <p>
                <code><strong>sudo pacman -Syu qt5ct qt6ct</strong></code>
            </p>
            <img alt="" class="qt" src="img/2023-04-18_08-06.webp" style="width: 50%;height: auto;" />
            <p>
                qt5/6ct gui vám umožní nastavit motivy pro aplikace qt na příklad,
                nastavit adwaita dark, pokud se nepoužije ve výchozím nastavení.
            </p>
            <h2>Kvantum:</h2>
            <p>
                Dalším způsobem bude použití
                <a href="https://archlinux.org/packages/community/x86_64/kvantum-qt5/" target="_blank">Kvantum</a>
                a QT5/6CT:
            </p>
            <p>Nainstalujte tyto dva baličky:</p>
            <p>
                <code><strong>sudo pacman -Syu kvantum qt5ct qt6ct</strong></code>
            </p>
            <p>
                Obě aplikace jsou vyžadovány, protože kvantum neumožňuje nastavení
                písma. Proto je qt5ct také nastaven jako proměnná prostředí, protože
                funguje ve většině desktopových prostředí nebo při použití správce
                oken jako uživatel. V některých případech, např. při použití
                Cinnamonu, je nutné nastavit proměnnou celosystémově, protože Cinnamon
                jakoby ignoruje proměnné nastavené jako uživatelé. Poté nastavíme
                qt5ct, aby používal téma kvantum a nastavili písma uvnitř qt5ct.
            </p>
            <p>Proměnná pro uživatele bude nakonfigurována takto:</p>
            <p>
                Zdá se, že tato metoda nefunguje na XFCE4, kde použití
                <code><strong>~/.profile</strong></code> funguje!
            </p>
            <p>Totéž platí pro Cinnamon.</p>
            <p>Vytvořte potřebný adresář:</p>
            <p>
                <code><strong>mkdir ~/.config/environment.d</strong></code>
            </p>
            <p>a potřebný konfigurační soubor s potřebnou proměnnou:</p>
            <p>
                <code><strong
            >echo "QT_QPA_PLATFORMTHEME=qt5ct" >
                ~/.config/environment.d/qt-theme.conf</strong
            ></code>
            </p>
            <p>
                U metody <code><strong>~/.profile</strong></code> použíjte proměnnou:
            </p>
            <p>
                <code><strong
            >echo "export QT_QPA_PLATFORMTHEME=qt5ct" >> ~/.profile</strong
            ></code>
            </p>

            <p>
                Chcete-li tuto proměnnou nastavit v celém systému (pokud proměnná na
                uživatele vůbec nefunguje):
            </p>
            <p>
                <code><strong>su</strong></code>
            </p>
            <p>
                <code><strong
            >echo "QT_QPA_PLATFORMTHEME=qt5ct" >> /etc/environment
            </strong></code>
            </p>
            <p>
                <code><strong>exit</strong></code>
            </p>
            <p>
                Pokud používáte nastavení pro uživatele, odhlaste se a znovu
                přihlaste, aby to fungovalo, pro nastavení celého systému restartujte
                systém.
            </p>
            <p>Nyní použijte aplikaci k nastavení motivu, písem a ikon:</p>
            <img alt="" class="qt" src="img/2021-05-18_21-00.webp" style="width: 50%;height: auto;" />
            <p>Použití kvantummanager pro nastavení motivu:</p>
            <img alt="" class="qt" src="img/2021-05-18_21-01.webp" style="width: 50%;height: auto;" />
            <p>Poté použijte qt5ct pro použití stylu kvantum.</p>
            <p>
                Nastavte font pro Windows a pevnou šířku, ale NEVYTVOŘUJTE
                font.conf!!!
            </p>
            <img alt="" class="qt" src="img/2021-05-18_21-02.webp" style="width: 50%;height: auto;" />
            <p>Nyní vyberte téma ikony:</p>
            <img alt="" class="qt" src="img/2021-05-18_21-03.webp" style="width: 50%;height: auto;" />
            <p>
                Změny budou fungovat bez nutnosti odhlášení nebo restartu, pouze
                aplikace, které již běží, je třeba restartovat, aby se změny motivu
                provedly.
            </p>
            <p>
                Pro aplikace QT6 nainstalujte qt6ct a nastavte totéž pomocí nástroje
                qt6ct.
            </p>
            <h3>Poznámky:</h3>
            <p>
                Některé aplikace mohou mít vlastní nastavení motivu, jako kdenlive:
            </p>
            <img alt="" class="qt" src="img/2021-05-18_19-13.webp" style="width: 50%;height: auto;" />
            <p>
                Chcete proniknout do zdrojů nekonečných informací a možností? …
                Podívejte se na Archwiki:
                <a href="https://wiki.archlinux.org/title/Uniform_look_for_Qt_and_GTK_applications"
                    target="_blank">https://wiki.archlinux.org/title/Uniform_look_for_Qt_and_GTK_applications</a>
            </p>
            <p>
                Článek byl převzat z
                <a href="https://discovery.endeavouros.com/applications/uniform-theme-and-fonts-for-qt-apps-in-gtk-environments/2021/05/"
                    target="_blank">Discovery</a>
                EndeavourOS, data Květen 2021.
            </p>
            <p>
                <code><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                20.4.2024</code>
            </p>
        </section>
    </main>
    <?php require "assets/returnbutton.php" ?>
    <?php require "assets/footer.php" ?>
    <script src="assets/script.js"></script>
</body>

</html>